Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.demo
Class FileDocument

    java.lang.Object
      org.apache.lucene.demo.FileDocument

    public class FileDocument

extends Object

A utility for making Lucene Documents from a File.

Method Summary
`static Document` | `Document(File f)` Makes a document for a File.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### Document

    public static Document Document(File f)
                             throws FileNotFoundException

  Makes a document for a File.

  The document has three fields:

  - `path`--containing the pathname of the file, as a stored, untokenized field;
  - `modified`--containing the last modified date of the file as a field as created by DateTools; and
  - `contents`--containing the full contents of the file, as a Reader field;

  Throws:
    `FileNotFoundException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2009 Apache Software Foundation. All Rights Reserved.